Bug 34992 - Multiply defined modules
Multiply defined modules
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-06 07:01 EDT by Henrik Karlsson
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Henrik Karlsson 2001-04-06 07:01:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.2.16-3smp i686; en-US; 0.8)
Gecko/20010216


When installing the latest kernel rpm's (2.2.17-14 with and without smp)
this happens.

Reproducible: Always
Steps to Reproduce:
1.rpm -ivh kernel-2.2.17-14.i686.rpm kernel-smp-2.2.17-14.i686.rpm
2.rpm -ivh --force kernel-2.2.17-14.i686.rpm kernel-smp-2.2.17-14.i686.rpm	

Actual Results:  [root@ksi51 update_2001-04-06]# rpm -ivh --force
kernel-2.2.17-14.i686.rpm kernel-smp-2.2.17-14.i686.rpm 
kernel                      ##################################################
modprobe: tc90x multiply defined
modprobe: tc90x multiply defined
modprobe: tc90x multiply defined
modprobe: tc90x multiply defined
modprobe: Pci2220i multiply defined
modprobe: Pci2000 multiply defined
modprobe: AAC multiply defined
modprobe: FPT multiply defined
modprobe: BusLogic multiply defined
/lib/modules/2.2.17-14/misc/cpia_usb.o: unresolved symbol(s)
kernel-smp                  ##################################################
modprobe: tc90x multiply defined
modprobe: tc90x multiply defined
modprobe: tc90x multiply defined
modprobe: tc90x multiply defined
modprobe: Pci2220i multiply defined
modprobe: Pci2000 multiply defined
modprobe: AAC multiply defined
modprobe: FPT multiply defined
modprobe: BusLogic multiply defined
/lib/modules/2.2.17-14smp/misc/cpia_usb.o: unresolved symbol(s)

I used to run the kernel 2.2.14-"something"smp from update rpm.
Comment 1 Bugzilla owner 2004-09-30 11:38:57 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.